# Generated from scout_signalfx-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scout_signalfx

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Reports app performance metrics gathered via Scout to SignalFx
License: MIT
URL: https://github.com/scoutapp/scout_signalfx_ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(fakeweb) >= 1.3
# BuildRequires: rubygem(fakeweb) < 2
BuildArch: noarch

%description
Reports app performance metrics gathered via Scout to SignalFx.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/scout_signalfx.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.1-1
- Initial package
